For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLogin
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETDetail
      • PATCHUpdate
      • POSTPrompt Agent
      • POSTStream Prompt Agent
      • POSTPublic Prompt Agent
LogoLogo
BlogLogin
API Referenceagents

Prompt Agent

POST
https://api.flockx.io/api/v1/agents/:id/prompt
POST
/api/v1/agents/:id/prompt
$curl -X POST https://api.flockx.io/api/v1/agents/id/prompt \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "message": "foo"
3}
Was this page helpful?
Previous

Stream Prompt Agent

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
promptstringOptional
Prompt to send to the AI agent.

Response

Successful Response
messagestring
Response from the AI agent.

Errors

422
Unprocessable Entity Error